Bug 1364535 - Review Request: ehcache2 - Java in-process cache
Summary: Review Request: ehcache2 - Java in-process cache
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On: 1364536
Blocks: FE-Legal 1363923 1181081
TreeView+ depends on / blocked
 
Reported: 2016-08-05 15:59 UTC by gil cattaneo
Modified: 2016-09-17 22:28 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-17 22:28:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
besser82: fedora-review+


Attachments (Terms of Use)

Description gil cattaneo 2016-08-05 15:59:19 UTC
Spec URL: https://gil.fedorapeople.org/ehcache2.spec
SRPM URL: https://gil.fedorapeople.org/ehcache2-2.9.0-1.fc24.src.rpm
Description:
Ehcache is an open source, standards-based cache that boosts performance,
offloads your database, and simplifies scalability. It's the most widely
used Java-based cache because it's robust, proven, full-featured, and
integrates with other popular libraries and frameworks. Ehcache scales
from in-process caching, all the way to mixed in-process/out-of-process
deployments with terabyte-sized caches.
Fedora Account System Username: gil

Comment 2 Tom "spot" Callaway 2016-08-09 14:28:12 UTC
The Terracotta Public License is non-free because of the burdensome attribution requirements in Section 14. Thus, this cannot go into Fedora. Sorry. :(

Comment 3 gil cattaneo 2016-08-09 15:06:47 UTC
(In reply to Tom "spot" Callaway from comment #2)
> The Terracotta Public License is non-free because of the burdensome
> attribution requirements in Section 14. Thus, this cannot go into Fedora.
> Sorry. :(

No problems thanks for your work!
if i remove from the source archive all the sub-modules, under Terracotta Public License, and leave only the ehcache-core module this changes something?

Comment 4 Tom "spot" Callaway 2016-08-09 15:18:34 UTC
If you remove all code under the Terracotta Public License, then what remains would be Apache 2.0 and fine for inclusion in Fedora.

Comment 5 gil cattaneo 2016-08-09 16:05:51 UTC
(In reply to Tom "spot" Callaway from comment #4)
> If you remove all code under the Terracotta Public License, then what
> remains would be Apache 2.0 and fine for inclusion in Fedora.

Spec URL: https://gil.fedorapeople.org/ehcache2.spec
SRPM URL: https://gil.fedorapeople.org/ehcache2-2.9.0-1.fc24.src.rpm

- remove all non-free/buildable contents

Comment 6 Nils Philippsen 2016-08-12 18:50:13 UTC
Hmm. Trying to build it failed:

No matching package to install: 'mvn(org.terracotta:statistics)'

I'll try my luck with the other one ;) -- bug #1363923

Comment 7 Nils Philippsen 2016-08-12 20:04:57 UTC
Same there -- are there other packages that need reviewing before these can be built?

Comment 8 gil cattaneo 2016-08-12 20:25:45 UTC
(In reply to Nils Philippsen from comment #7)
> Same there -- are there other packages that need reviewing before these can
> be built?

I just this https://bugzilla.redhat.com/show_bug.cgi?id=1363921 for now

Comment 9 Björn 'besser82' Esser 2016-08-23 15:26:25 UTC
Still fails…  :(

  ERROR: Command failed: 
   # /usr/bin/dnf builddep --installroot /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 26 /var/lib/mock/fedora-rawhide-x86_64/root//builddir/build/SRPMS/ehcache2-2.9.0-1.fc26.src.rpm --setopt=tsflags=nocontexts
  Last metadata expiration check: 0:00:21 ago on Tue Aug 23 17:23:56 2016.
  No matching package to install: 'mvn(org.terracotta:statistics)'
  Not all dependencies satisfied
  Error: Some packages could not be found.

Comment 10 gil cattaneo 2016-08-23 15:30:24 UTC
(In reply to Björn "besser82" Esser from comment #9)
> Still fails…  :(
> 
>   ERROR: Command failed: 
>    # /usr/bin/dnf builddep --installroot
> /var/lib/mock/fedora-rawhide-x86_64/root/ --releasever 26
> /var/lib/mock/fedora-rawhide-x86_64/root//builddir/build/SRPMS/ehcache2-2.9.
> 0-1.fc26.src.rpm --setopt=tsflags=nocontexts
>   Last metadata expiration check: 0:00:21 ago on Tue Aug 23 17:23:56 2016.
>   No matching package to install: 'mvn(org.terracotta:statistics)'
>   Not all dependencies satisfied
>   Error: Some packages could not be found.

available here http://koji.fedoraproject.org/koji/packageinfo?packageID=22958

Comment 12 Björn 'besser82' Esser 2016-08-23 16:13:10 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "Unknown or generated". 5 files have unknown
     license. Detailed output of licensecheck in
     /home/besser82/shared/fedora/review/1364535-ehcache2/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[-]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     ehcache2-javadoc , ehcache2-root
     ---> all packages are noarch'ed

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
     ---> checks are run during maven-build

[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: ehcache2-2.9.0-1.fc26.noarch.rpm
          ehcache2-javadoc-2.9.0-1.fc26.noarch.rpm
          ehcache2-root-2.9.0-1.fc26.noarch.rpm
          ehcache2-2.9.0-1.fc26.src.rpm
ehcache2.noarch: W: spelling-error %description -l en_US Ehcache -> Eh cache, Eh-cache, Cache
ehcache2.noarch: W: spelling-error %description -l en_US scalability -> availability, sociability, implacability
ehcache2-root.noarch: W: spelling-error Summary(en_US) Ehcache -> Eh cache, Eh-cache, Cache
ehcache2-root.noarch: W: spelling-error %description -l en_US Ehcache -> Eh cache, Eh-cache, Cache
ehcache2-root.noarch: W: no-documentation
ehcache2.src: W: spelling-error %description -l en_US Ehcache -> Eh cache, Eh-cache, Cache
ehcache2.src: W: spelling-error %description -l en_US scalability -> availability, sociability, implacability
ehcache2.src: W: invalid-url Source0: ehcache-2.9.0.tar.xz
4 packages and 0 specfiles checked; 0 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
ehcache2-root.noarch: W: spelling-error Summary(en_US) Ehcache -> Eh cache, Eh-cache, Cache
ehcache2-root.noarch: W: spelling-error %description -l en_US Ehcache -> Eh cache, Eh-cache, Cache
ehcache2-root.noarch: W: no-documentation
ehcache2.noarch: W: spelling-error %description -l en_US Ehcache -> Eh cache, Eh-cache, Cache
ehcache2.noarch: W: spelling-error %description -l en_US scalability -> availability, sociability, implacability
3 packages and 0 specfiles checked; 0 errors, 5 warnings.



Requires
--------
ehcache2-javadoc (rpmlib, GLIBC filtered):
    javapackages-tools

ehcache2-root (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(net.sf.ehcache:ehcache-parent:pom:)
    mvn(org.apache.maven.plugins:maven-javadoc-plugin)

ehcache2 (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(org.slf4j:slf4j-api)
    mvn(org.terracotta:statistics)



Provides
--------
ehcache2-javadoc:
    ehcache2-javadoc

ehcache2-root:
    ehcache2-root
    mvn(net.sf.ehcache:ehcache-root:pom:2)
    mvn(net.sf.ehcache:ehcache-root:pom:2.10)
    mvn(net.sf.ehcache:ehcache-root:pom:2.9.0)

ehcache2:
    bundled(jsr166e)
    ehcache2
    mvn(net.sf.ehcache.internal:ehcache-core:2)
    mvn(net.sf.ehcache.internal:ehcache-core:2.10)
    mvn(net.sf.ehcache.internal:ehcache-core:2.9.0)
    mvn(net.sf.ehcache.internal:ehcache-core:pom:2)
    mvn(net.sf.ehcache.internal:ehcache-core:pom:2.10)
    mvn(net.sf.ehcache.internal:ehcache-core:pom:2.9.0)



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -L /home/besser82/shared/fedora/review/deps/ -m fedora-rawhide-x86_64 -b 1364535
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Built with local dependencies:
    /home/besser82/shared/fedora/review/deps/terracotta-statistics-1.1.0-2.fc26.noarch.rpm


===== Solution =====

Package approved!!!

Comment 13 gil cattaneo 2016-08-23 18:36:06 UTC
Thanks for the review!

create new SCM request/s:
https://admin.fedoraproject.org/pkgdb/package/requests/7425
https://admin.fedoraproject.org/pkgdb/package/requests/7426

Comment 14 gil cattaneo 2016-08-23 18:45:31 UTC
Sorry wrong referencies, for SCM request

create new SCM requests:
https://admin.fedoraproject.org/pkgdb/package/requests/7427
https://admin.fedoraproject.org/pkgdb/package/requests/7428

Comment 15 Gwyn Ciesla 2016-08-23 19:45:44 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/ehcache2

Comment 16 Fedora Update System 2016-09-12 16:15:22 UTC
ehcache2-2.10.2.2.21-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8119dc709d

Comment 17 Fedora Update System 2016-09-14 03:25:42 UTC
ehcache2-2.10.2.2.21-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8119dc709d

Comment 18 Fedora Update System 2016-09-17 22:28:49 UTC
ehcache2-2.10.2.2.21-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.